Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85755 - Viper serial download with GDB causes spurious interrupt
Summary: Viper serial download with GDB causes spurious interrupt
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: HAL
Version: 2.0 beta 1
Hardware: powerpc
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-07 00:00 UTC by Jonathan Larmour
Modified: 2007-03-27 04:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:21:02 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-07 00:00:25 UTC
Description of problem:

When using viper with serial download via GDB and asserts enabled, if you run
any test that allows interrupts to be enabled, e.g. bin_sem2, you get a spurious
interrupt assert.

I'll fix it (assuming I can convince bugzilla to assign this to myself), but it
won't be fixed in 2.0 beta 1.

Comment 1 Gary Thomas 2003-03-07 02:39:24 UTC
What configuration makes this happen?  I can't duplicate it, at least as of
CVS (root) on March 6.

Comment 2 Jonathan Larmour 2003-03-07 10:46:19 UTC
v2.0 branch. With a RedBoot also built from the branch in case that makes a
difference. Enable asserts. Run bin_sem2. That's all!

Comment 3 Gary Thomas 2003-03-07 12:19:46 UTC
I was only able to duplicate this with v2.0b program and RedBoot.
Using RedBoot built from the trunk does not suffer this assert, or at least
I couldn't make it happen.

Comment 4 Alex Schuilenburg 2003-06-20 16:21:02 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=85755


Note You need to log in before you can comment on or make changes to this bug.